> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Ads

> Search Ads



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ad-library/search
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/ad-library/search:
    get:
      tags:
        - Ads
      summary: Search Ads
      description: Search Ads
      operationId: getApiV1Ad-librarySearch
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
            description: >-
              Keyword to search for (either "keyword" or "advertiser_name" must
              be provided)
            example: Data
        - in: query
          name: advertiser_name
          schema:
            type: string
            description: >-
              Advertiser name to search for (either "keyword" or
              "advertiser_name" must be provided)
            example: Datadog
        - in: query
          name: country
          schema:
            type: string
            description: Country code to filter ads by
            example: US
        - in: query
          name: date
          schema:
            type: string
            enum:
              - last-30-days
              - current-month
              - current-year
              - last-year
            description: Date to filter ads by
        - in: query
          name: pagination_token
          schema:
            type: string
            description: Token for pagination
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Ad ID
                          example: '653297974'
                        advertiser:
                          type: string
                          description: Advertiser name
                          example: GaneshKrishnan
                        content_preview:
                          type: string
                          description: Ad content preview
                          example: >-
                            🚨 E‑commerce ad spend is in free‑fall — and the
                            numbers are staggering.


                            The TERRIFYING drop in ecommerce spend and sal…
                        image:
                          type: string
                          description: Ad image URL
                          example: >-
                            https://media.licdn.com/dms/image/v2/D5622AQG5Db03qe1eSA/feedshare-shrink_1280/B56ZZKVavvGcAk-/0/1745003851303?e=2147483647&v=beta&t=8WvvFCn5WrwwpN_dBtyrmVm0kUn7AuBrSPkqGx45bvI
                    description: Ads Search
                  has_more:
                    type: boolean
                    description: Whether there are more ads to fetch
                    example: true
                  pagination_token:
                    type: string
                    description: Pagination token for the next page of results
                    example: 663761563-1745013982626
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````